Package io.github.jdbcx.extension

# Class BlackholeDriverExtension

java.lang.Object
io.github.jdbcx.extension.BlackholeDriverExtension

All Implemented Interfaces:
  `DriverExtension`, `Comparable<DriverExtension>`

public class BlackholeDriverExtension extends Object implements DriverExtension

## Constructor Summary

Constructors
Constructor
Description
`BlackholeDriverExtension()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
`String`
`getUsage()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface io.github.jdbcx.DriverExtension

`compareTo, createListener, getAliases, getConfig, getDefaultConfig, getDefaultOptions, getOptions, supportsDirectQuery, supportsInspection, supportsNoArguments`

## Constructor Details

### BlackholeDriverExtension

public BlackholeDriverExtension()

## Method Details

### getDescription

public String getDescription()

Specified by:
  `getDescription` in interface `DriverExtension`

### getUsage

public String getUsage()

Specified by:
  `getUsage` in interface `DriverExtension`